INS(8)

NAME
ins - install software

USAGE
ins [ option ... ] [ [ source ] target ]

DESCRIPTION
Ins queues a request to `install' the named target file - in the simplest case, by copying from source to target - and then attempts to execute all pending requests for the target, until thwarted by lack of privilege. By default, each target has a separate queue, but if several files are to be updated together their requests can also be placed in another separate queue. If modification requests for a given target file appear in several different queues, those requests will be executed in correct time order. A request will be served only when it is at the front of all the queues it is in.

If no target is named, ins attempts to serve all pending requests. The options are

-x  Verify consistency of currently queued-up requests with historical record in

-v  Print a verbose commentary (by copying logging data to standard output).

-n  Print, but do not execute, the modification requests.

-j jobnumber...
    Delete a queued-up request. Possible values for jobnumber are revealed by using the -n flag, where they are listed in the style /usr/spool/ins/jobjobnumber.

-q queuename
    Put the request in special named queue, in addition to the queue for target.

-r  Remove target.

-o owner
    Set uid of target.

-g group
    Set gid of target.

-m mode
    Set file mode of target, as in chmod(1).

-l label
    Set file label of target, as in setlab(1).

-p cap lic
    Set file privileges, as in setpriv(8).

Ins records xs(8)-style checksums of both modified software and of its own queues, keeps a verbose log file, etc, etc.

FILES

BUGS
Not written yet.